#include <allegro.h>
#include <winalleg.h>
#include "erkMap.h"

erkTTTrainer::erkTTTrainer()
{
}

erkTTTrainer::~erkTTTrainer()
{
}

void erkTTTrainer::Update(erkTile_p pTile)
{
	gbBool bLit = pTile->IsLit();

	for(gbLinkListIter(erkUnit_p) iPos=pTile->UnitsBegin(); iPos!=pTile->UnitsEnd(); ++iPos)
	{
		if((*iPos)->GetSide() == bLit)
		{
			(*iPos)->IncExp();
		}
	}
}
